Startup Delayer 2.2 Documentation

When Windows loads its startup file, it attempts to load every program at the same time. If you have a heap of programs starting, each program will try and grab the CPU at the SAME time!

If each program tries to load at the same time, a great slow-down occurs as your CPU tries to help each one.

Startup Delayer allows programs to start in a more orderly fashion by setting how many seconds after Windows has started, to load each program. The effect that this gives is that you gain control of the system much faster, and the program that was launched will launch faster as it does not have to share the CPU with other programs.

For Example:
Suppose a mail program and virus scanner that startup when Windows starts. Using Startup Delayer, have the mail program start at 10 seconds after Windows startup. Then set the virus scanner to start at 20 seconds after Windows startup. Now each program will startup on its own instead of all at once enabling a smoother, speedier startup.


Quick Start

Giving Startup Delayer control over your startup
Each icon next to a program gives you a visual clue as to who is controlling it, and to whom it is run for.

Icons and their meaning:
Windows® controls this program. It is started for 'All Users' on the computer.
Windows® controls this program. It is started for the 'Current User'. (NOTE: This does not mean the program is only launched for the current user. It may also be launched for another user, if setup in their profile)
Startup Delayer controls this program. It is started for 'All Users' on the computer.
Startup Delayer controls this program. It is started for the 'Current User'. (NOTE: This does not mean the program is only launched for the current user. It may also be launched for another user, if setup in their profile)

To give Startup Delayer control over a program, either:

1) Double click the program in the list view, or
2) Select it and goto the File menu. Click 'edit', or
3) Right click the program in the list view and select 'Edit...'

You are then informed that the program is currently controlled by Windows® and asked if you would like Startup Delayer to control it instead.

If you click 'Yes', you are presented with the 'Edit Program' dialog. Confirm the applications parameters and set its 'Launch Delay':

Once you are done, click the 'Save' button and the program's icon changes appropriately:

The program will now start 30 seconds after Startup Delayer has started on Windows startup.


Application Information

Application Information in an online database of known applications and programs that have been identified by the community of Startup
Delayer users.

The database is driven using the 'Report as...' commands in the right click menu when right clicking on an item in the Startup Delayer window.

This feature is useful if you are able to identify an application yourself, as when you report it, the online database will add the application to a staging area. As other users report the same application, it will be marked as popular.

Once an application is popular enough, it will be moved to the 'Live' database. The Application information for this application will now be downloaded when users in the community start Startup Delayer.

Colouring is applied to the List view depending on the Application Information:

Colour | Description
Gray | Unknown controlled by Windows
Black | Unknown controlled by Startup Delayer
Blue | System Process
Green | 3rd Party application
Red | Malware


Using Startup Delayer

Upon running Startup Delayer for the first time, you will be presented with the following window:

The main Window consists of the Menu System (1), the Toolbar (2), the Filter (3), the Application Listing (4), the Time Graph (5) and the Status Bar (6).

Menu System: See "The Menu System" for more information.

Toolbar: Provides quick access buttons to commonly used commands.

Filter: See "The Filter"

Application Listing: Listing of all the applications starting when your computer is started.

Time Graph: Visual representation of when your applications are launched, according to the delay you give them.

Status Bar: Used to display the amount of time delayed for the currently selected application.


Activating Startup Delayer

You must activate Startup Delayer for it to launch it's programs
To Activate Startup Delayer , click the 'Actions' Menu and move to the 'Activate Startup Delayer' Menu option. From here, you can choose which type of Launch you would like.

Launch Types:
Launch Type | About this Launch Type
Invisible | This Type imitates the Windows Startup, in that you cannot see anything on screen, but Startup Delayer in invisibly launching your programs.
Graphical | This Type displays a bar down the bottom of the screen, informing you which program was last launched, and allowing you to click a 'Cancel' button to stop the launch process.

Upon activating Startup Delayer, the SD icon on the toolbar will change to a blue colour. This means that Startup Delayer is active and will launch the next time you restart Windows®. You will also notice that the Title of the Window has changed to 'Startup Delayer - Active'.

To disable Startup Delayer from launching the programs that are associated with it, you merely click the Blue SD icon on the toolbar, or use the 'Actions' menu and select 'Deactivate Startup Delayer'. The toolbar icon will change colour, and the Title of the Window will change to 'Startup Delayer - Deactivated'


Using The Filter

The filter shows programs started based on user type.
The filter gives you an easy way to help you organise your startup programs. Each filter selection displays the programs started for the group of users.


Using The Time Graph

Visual representation of when your applications are launched, according to the delay you give them.
The Time Graph can also be used to re-arrange your applications. The applications are coloured using alternating colours. When one is selected, it is coloured Red.

You are able to re-arrange your applications on the Time Graph by clicking on the bar in the Time Graph and dragging it to a new Time.

The current time it displayed in the status bar. As you drag the application an arrow will be displayed so that you can see from where you have moved the application.

When you release the mouse button, the application will be set to the new time and the Time Graph will update automatically.

The Time Graph will automatically scale the bars when you drag to the right. When you drag back to the left the scale will stay the same. You may need to right click on the Time Graph and click 'Reset Scale' if you have moved your applications around


Spacing Time

Spacing Programs across time
A quick and easy way to start your programs launching smoothly is to use the 'Space Evenly' command found under the 'Actions' menu:

This command allows you to evenly space each program in the startup list. Enter the total amount of time to delay all programs over and Startup Delayer will evenly spread them across the chosen time:

When you click OK, Startup Delayer will assign each program a 'Delay' value to ensure that after launching all programs, it has taken the total amount of time you entered. This will give your programs a perfect spread and will allow you to further Tweak it to your will.


Moving a Program back

Removing programs from Startup Delayer and giving them back to Windows®
It is easy to return a program to its original startup location. There are two methods to do this:

Methods for moving back:
Method | About this method
Method 1 | 1) Right click on the item and select 'Move To' 2) Choose 'Original Location'
Method 2 | Select the program and press the 'Delete' Key WARNING: This method only works if you are in Safe Mode. If you are in Advanced then you will be prompted to delete the program forever!

Below is an example of Method 1:

If you used Method 2, you will be prompted to confirm the action. If you choose to accept, the program will be restored to its original location. Programs originally in the 'Startup' folder will be returned there. Programs originally started from within the registry will be returned to the registry startup.